curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/splits?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2.1/calendar/splits?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2.1/calendar/splits?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"splits": [
{
"cusip": "87807D509",
"date_announced": "2025-12-30",
"date_distribution": "2025-01-06",
"date_ex": "2025-01-07",
"date_recorded": "2025-01-02",
"exchange": "NASDAQ",
"id": "677675329a903000017cb6f1",
"importance": 1,
"name": "TC BioPharm (Holdings)",
"notes": "",
"optionable": false,
"ratio": "1.25:1",
"split_type": "ADR Ratio Change",
"ticker": "TCBP",
"updated": 1735816783
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Splits
Returns stock split data including split ratios, announcement dates, ex-dates, and distribution dates. Stock splits occur when a company increases or decreases the number of outstanding shares to adjust the stock price. Includes information about whether the stock is optionable.
{
"splits": [
{
"cusip": "87807D509",
"date_announced": "2025-12-30",
"date_distribution": "2025-01-06",
"date_ex": "2025-01-07",
"date_recorded": "2025-01-02",
"exchange": "NASDAQ",
"id": "677675329a903000017cb6f1",
"importance": 1,
"name": "TC BioPharm (Holdings)",
"notes": "",
"optionable": false,
"ratio": "1.25:1",
"split_type": "ADR Ratio Change",
"ticker": "TCBP",
"updated": 1735816783
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
Headers
Specifies return format. Query parameters work the same for both formats
application/json Query Parameters
Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date
Number of results returned. Limit 1000
Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest
Date to query from point in time
Date to query to point in time
Date to filter and sort calendar by. Default is announced
announced, ex The importance level to filter by. Uses Greater Than or Equal To the importance indicated
0, 1, 2, 3, 4, 5 One or more ticker symbols separated by a comma. Maximum 50 tickers
Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated
Response
success
API response containing an array of stock split records
Show child attributes
Show child attributes
Was this page helpful?